// ©2023 Batty Bovine Productions, LLC. All Rights Reserved.

#include "K2Node_ComboActionEvent.h"

#include "ComboInputTriggers.h"
#include "Events/ComboActionDelegateBinding.h"

#include UE_INLINE_GENERATED_CPP_BY_NAME(K2Node_ComboActionEvent)


UK2Node_ComboActionEvent::UK2Node_ComboActionEvent(const FObjectInitializer &ObjectInitializer)
	: Super(ObjectInitializer)
{
	bInternalEvent = true;
	TriggerEvent = EComboActionTriggerEvent::None;
}

UClass *UK2Node_ComboActionEvent::GetDynamicBindingClass() const
{
	return UComboActionDelegateBinding::StaticClass();
}

void UK2Node_ComboActionEvent::RegisterDynamicBinding(UDynamicBlueprintBinding *BindingObject) const
{
	UComboActionDelegateBinding *ComboActionBindingObject = CastChecked<UComboActionDelegateBinding>(BindingObject);

	FBlueprintComboActionBinding Binding;
	Binding.FunctionNameToBind = this->CustomFunctionName;
	Binding.ComboAction = this->ComboAction;
	Binding.TriggerEvent = this->TriggerEvent;

	ComboActionBindingObject->ComboActionDelegateBindings.Add(Binding);
}

